JavaConstantNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class JavaConstantNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.JavaConstantNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, ExpectedTypeAwareNode, SessionFactoryAwareNode

    public class JavaConstantNode

extends Node
implements ExpectedTypeAwareNode, SessionFactoryAwareNode

A node representing a static Java constant.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`JavaConstantNode()`

Method Summary
`Type` | `getExpectedType()`
`String` | `getRenderText(SessionFactoryImplementor sessionFactory)` Retrieve the text to be used for rendering this particular node.
`void` | `setExpectedType(Type expectedType)`
`void` | `setSessionFactory(SessionFactoryImplementor factory)`
`void` | `setText(String s)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaConstantNode

    public JavaConstantNode()

Method Detail

### setText

    public void setText(String s)

  Specified by:
    `setText` in interface `antlr.collections.AST`
  Overrides:
    `setText` in class `antlr.CommonAST`

### setExpectedType

    public void setExpectedType(Type expectedType)

  Specified by:
    `setExpectedType` in interface `ExpectedTypeAwareNode`

### getExpectedType

    public Type getExpectedType()

  Specified by:
    `getExpectedType` in interface `ExpectedTypeAwareNode`

### setSessionFactory

    public void setSessionFactory(SessionFactoryImplementor factory)

  Specified by:
    `setSessionFactory` in interface `SessionFactoryAwareNode`

### getRenderText

    public String getRenderText(SessionFactoryImplementor sessionFactory)

  Description copied from class: `Node`
  Retrieve the text to be used for rendering this particular node.

  Overrides:
    `getRenderText` in class `Node`
  Parameters:
    `sessionFactory` - The session factory
  Returns:
    The text to use for rendering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.